import { UX } from "@salesforce/command";
import { LoggerLevel } from "@salesforce/core";
export declare class SFPowerkit {
    static ux: UX;
    private static logger;
    private static defaultFolder;
    private static projectDirectories;
    private static pluginConfig;
    static setLogLevel(logLevel: string): void;
    static getProjectDirectories(): Promise<string[]>;
    static getDefaultFolder(): Promise<string>;
    static setDefaultFolder(defaultFolder: string): void;
    static getConfig(): Promise<any>;
    static getApiVersion(): Promise<any>;
    /**
     * Print log only if the log level for this commamnd matches the log level for the message
     * @param message Message to print
     * @param messageLoglevel Log level for the message
     */
    static log(message: string, logLevel: LoggerLevel): void;
    /**
     * Print log only if the log level for this commamnd matches the log level for the message
     * @param message Message to print in JSON Format
     * @param messageLoglevel  Log level for the message
     */
    static logJson(message: Object, logLevel: LoggerLevel): void;
}
