"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const delay_1 = require("./delay");
async function checkDeploymentStatus(conn, retrievedId) {
    let metadata_result;
    while (true) {
        await conn.metadata.checkDeployStatus(retrievedId, true, function (error, result) {
            if (error) {
                return console.error(error);
            }
            metadata_result = result;
        });
        if (!metadata_result.done) {
            console.log(`Polling for Deployment Status`);
            await delay_1.delay(5000);
        }
        else {
            break;
        }
    }
    return metadata_result;
}
exports.checkDeploymentStatus = checkDeploymentStatus;
//# sourceMappingURL=checkDeploymentStatus.js.map